package zero1hd.polyjet.audio;

import com.badlogic.gdx.audio.Music;

public class GamePlayMap {
	private Music playableClip;
	private float playTime;
	
	public GamePlayMap(AudioData audioData) {
		playableClip = audioData.getPlaybackMusic();
		playTime = audioData.getDuration();
	}
	
	public Music getPlayableClip() {
		return playableClip;
	}
	
	public float getPlayTime() {
		return playTime;
	}
}
